Solucionar “no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory”

He realizado una actualización de Ubuntu 13.10 a Ubuntu 14.04… muy hermoso todo pero, tras reiniciar y realizar tareas como administrador desde la terminal/shell he recibido este hermoso mensaje:

no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory

NOTA IMPORTANTE: Aunque eliminar el paquete puede solucionar el mensaje, se requiere libpam-​​smbpass para sincronizar las cuentas de usuario con contraseñas de samba. La eliminación de estos paquetes elimina esa funcionalidad.

 

term_01

Este error le ha salido algunos usuarios, este error en Trusty Server ISO 2014-APR-02.

En launchpad.net ha sido ya puesto con estatus de “Bug Confirmado” pero no se alarmen pues ya tenemos una solución para esto

Desde la misma pagina de errores de launchpad tenemos la solución, debemos de des-instalar la librería “libpam-smbpass

 

sudo apt-get remove libpam-smbpass

Y listo a seguir trabajando sin tener este error.

lsb_release -a

No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 14.04 LTS
Release:	14.04
lsb_release -a

lsb_release -a

 

Desde la pagina de errores de launchpad.net tenemos la solución, y es simplemente removiendo la sincronización de contraseñas de SAMBA y listo el mensaje desaparece, pero claro perdemos la habilidad de sincronizción de contraseñas.

Thomas nos da la solución para esto:

Fix:
run “pam-auth-update” and remove “SMB password synchronization”.

pam-auth-update
Anuncios

4 comentarios en “Solucionar “no talloc stackframe at ../source3/param/loadparm.c:4864, leaking memory”

  1. Fred dijo:

    Tambien se puede simplemente desactivar la sincronizacion de la contraseña de las cuentas entre sistema y samba haciendo:
    sudo libpam-smbpass
    y desactivando “SMB password synchronization”
    Asi no hace falta desinstalar nada, sobre todo si estas usando samba.

    Me gusta

    • te agradezco mucho por tu visita….. sin tu comentario no puedo darme cuenta de lo descuidado que he dejado este blog…. y bueno creia ya haber actualizado este tema y como sulucionarlo… y bueno segun nos cuentan en launchpad.net es de la sincronizacion de contraseñas y se debe quitar esa funcionabilidad para que todo yava bien y no nos de ese mensaje “pam-auth-update”

      Me gusta

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s